Upload Organization Photo

Each organization has a unique logo or image. You can upload and update the organization photo using this API.

Purpose

To upload the brand logo or image of the organization

Request URL

https://www.zohoapis.com/crm/v2/org/photo

Request Method

POST

Scope

scope=ZohoCRM.org.{operation_type}

Possible operation types
ALL - Full access to organization data
CREATE - Upload organization photo
WRITE - Edit organization data

Parameters

Parameter NameData TypeDescription
file (mandatory)FileChoose the photo you want to upload

Possible Errors

HTTP StatusError CodeMessageReason
415FILE_SIZE_MORE_THAN_ALLOWED_SIZEplease check if the file size is in the correct rangeThe photo you are trying to upload either exceeds the allowed size(1 MB) or the allowed resolution(10 MP). Ensure that the photo being uploaded is within the prescribed range.

Sample Request

In the request, "file=@img1.png" contains the sample image.


				curl "https://www.zohoapis.com/crm/v2/org/photo"
-X POST
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"
-F "file=@img1.png"			

Sample Response


				{
	"message": "photo uploaded successfully",
	"details": {},
	"status": "success",
	"code": "SUCCESS",
}